package io.keiji.weatherforecasts;

import android.os.Bundle;
import android.support.v7.app.AppCompatActivity;
import android.widget.TextView;
import android.widget.Toast;

import java.io.IOException;

public class MainActivity extends AppCompatActivity {

    private TextView result;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);

        result = (TextView) findViewById(R.id.tv_result);

        try {
            String data = WeatherApi.getWeather("400040");
            result.setText(data);
        } catch (IOException e) {
            Toast.makeText(getApplicationContext(),
                    "IOException is occurred.",  Toast.LENGTH_SHORT).show();
        }
    }
}
